Name:          GraphicsMagick
Version:       1.3.45
Release:       1mamba
Summary:       The swiss army knife of image processing
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.graphicsmagick.org/
Source:        http://downloads.sourceforge.net/sourceforge/graphicsmagick/GraphicsMagick-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libbzip2-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgomp-devel
BuildRequires: libheif-devel
BuildRequires: libjasper-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: libjxl-devel
BuildRequires: liblcms2-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libperl
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libwmf-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: libzip-devel
BuildRequires: libzstd-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: libjxl-devel >= 0:0.8.1-1mamba
#BuildRequires: libtrio-devel
#BuildRequires: autotrace
BuildRequires: graphviz
BuildRequires: tetex-dvips
BuildRequires: transfig
BuildRequires: gnuplot
BuildRequires: netpbm
BuildRequires: ncompress
BuildRequires: libgimp-devel
BuildRequires: libsane-backends
BuildRequires: wget
BuildRequires: ghostscript-fonts
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
GraphicsMagick is the swiss army knife of image processing. 
It provides a robust collection of tools and libraries which support reading, writing, and manipulating an image in over 88 major formats including important formats like DPX, GIF, JPEG, JPEG-2000, PNG, PDF, SVG, and TIFF.
GraphicsMagick supports huge images on systems that support large files, and has been tested with gigapixel-size images.
GraphicsMagick can create new images on the fly, making it suitable for building dynamic Web applications.
GraphicsMagick may be used to resize, rotate, sharpen, color reduce, or add special effects to an image and save the result in the same or differing image format. 
Image processing operations are available from the command line, as well as through C, C++, Perl, or Windows COM programming interfaces. 
Extensions are available from third-parties to support programming in Python, Tcl, and Ruby.
With some modification, language extensions for ImageMagick may be used.

%package -n lib%{name}
Summary:       Libraries provided by %{name}
Group:         Development/Libraries

%description -n lib%{name}
GraphicsMagick is the swiss army knife of image processing.
This package contains the shared libraries.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-devel
Obsoletes:     %{name}-devel < 1.3.39

%description -n lib%{name}-devel
GraphicsMagick is the swiss army knife of image processing.
This package contains static libraries and header files need for development.

%package perl
Summary:       PerlMagick - An objected-oriented Perl interface to GraphicsMagick
Group:         Development/Libraries/Perl
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      perl

%description perl
PerlMagick is an objected-oriented Perl interface to GraphicsMagick.
Use the module to read, manipulate, or write an image or image sequence from within a Perl script. This makes it very suitable for Web CGI scripts.

%debug_package

%prep
%setup -q

%build
#Option            Configure option              Configured value
#-----------------------------------------------------------------
#DPS               --with-dps=yes                no
#FlashPIX          --with-fpx=yes                no
#TRIO              --with-trio=yes               no
# Note: configure says: If vsnprintf is missing, look for TRIO

%configure \
   --enable-shared \
   --with-modules=yes \
   --with-bzlib \
   --with-dps \
   --with-fpx \
   --with-ttf \
   --with-jbig \
   --with-jpeg \
   --with-jp2 \
   --with-lcms \
   --with-magick-plus-plus \
   --with-perl \
   --with-perl-options="PREFIX=%{_prefix} INSTALLDIRS=vendor" \
   --with-png \
   --with-tiff \
   --with-gs-font-dir=%{_datadir}/ghostscript/fonts/ \
   --with-windows-font-dir=%{_datadir}/fonts/msttcorefonts \
   --with-gslib=yes \
   --with-wmf \
   --with-x \
   --with-xml \
   --with-zlib \
   --with-threads \
   --x-libraries=%{_libdir}

%make
%make perl-build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
%makeinstall -C PerlMagick

find %{buildroot} -name "perllocal.pod" | xargs rm -f

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist-perl && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist-perl
done

chmod 755 %{buildroot}%{perl_vendorarch}/auto/Graphics/Magick/Magick.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/gm
%dir %{_datadir}/GraphicsMagick-%{version}/config
%{_datadir}/GraphicsMagick-%{version}/config/*.mgk
%{_docdir}/GraphicsMagick/ChangeLog*
%{_docdir}/GraphicsMagick/Copyright.txt
%{_docdir}/GraphicsMagick/NEWS.txt
%{_mandir}/man1/gm.*
%{_mandir}/man4/miff.*
%{_mandir}/man5/quantize.*
%doc TODO.txt README.txt

%files -n lib%{name}
%defattr(-,root,root)
%dir %{_libdir}/GraphicsMagick-%{version}
%dir %{_libdir}/GraphicsMagick-%{version}/config
%{_libdir}/GraphicsMagick-%{version}/config/*.mgk
%dir %{_libdir}/GraphicsMagick-%{version}/modules-Q8
%{_libdir}/GraphicsMagick-%{version}/modules-Q8/coders/*.so
%dir %{_libdir}/GraphicsMagick-%{version}/modules-Q8/filters
%{_libdir}/GraphicsMagick-%{version}/modules-Q8/filters/*.so
%{_libdir}/lib*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/GraphicsMagick++-config
%{_bindir}/GraphicsMagick-config
%{_bindir}/GraphicsMagickWand-config
%dir %{_docdir}/GraphicsMagick/www
%{_docdir}/GraphicsMagick/www/*
%dir %{_includedir}/GraphicsMagick
%{_includedir}/GraphicsMagick/*.h
%dir %{_includedir}/GraphicsMagick/Magick++
%{_includedir}/GraphicsMagick/Magick++/*.h
%dir %{_includedir}/GraphicsMagick/magick
%{_includedir}/GraphicsMagick/magick/*.h
%dir %{_includedir}/GraphicsMagick/wand
%{_includedir}/GraphicsMagick/wand/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a
#%{_libdir}/GraphicsMagick-%{version}/modules-Q8/coders/*.a
#%{_libdir}/GraphicsMagick-%{version}/modules-Q8/filters/*.a
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/GraphicsMagick-config.*
%{_mandir}/man1/GraphicsMagick++-config.*
%{_mandir}/man1/GraphicsMagickWand-config.*

%files perl -f .packlist-perl
%defattr(-,root,root)

%changelog
* Wed Aug 28 2024 Automatic Build System <autodist@openmamba.org> 1.3.45-1mamba
- automatic version update by autodist

* Mon Aug 19 2024 Automatic Build System <autodist@openmamba.org> 1.3.44-1mamba
- automatic version update by autodist

* Sun Mar 24 2024 Automatic Build System <autodist@openmamba.org> 1.3.43-1mamba
- automatic version update by autodist

* Sun Sep 24 2023 Automatic Build System <autodist@mambasoft.it> 1.3.42-1mamba
- automatic version update by autodist

* Thu Aug 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.41-1mamba
- update to 1.3.41

* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 1.3.40-3mamba
- rebuilt with perl 5.36.0

* Sat Feb 11 2023 Sdk Build System <sdk@mambasoft.it> 1.3.40-2mamba
- rebuilt by autoport with build requirements: libjxl-devel>=0:0.8.1-1mamba

* Sun Jan 15 2023 Automatic Build System <autodist@mambasoft.it> 1.3.40-1mamba
- automatic version update by autodist

* Wed Dec 28 2022 Automatic Build System <autodist@mambasoft.it> 1.3.39-1mamba
- automatic version update by autodist

* Tue Dec 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.38-2mamba
- rebuilt without .la files

* Sun Mar 27 2022 Automatic Build System <autodist@mambasoft.it> 1.3.38-1mamba
- automatic version update by autodist

* Thu Dec 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.37-1mamba
- update to 1.3.37

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.3.36-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 1.3.25-1mamba
- automatic update by autodist

* Mon Aug 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.24-1mamba
- update to 1.3.24
- added library subpackage

* Mon Sep 01 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.3.20-1mamba
- update to 1.3.20

* Sun Jan 05 2014 Automatic Build System <autodist@mambasoft.it> 1.3.19-1mamba
- automatic update by autodist

* Fri Mar 15 2013 Automatic Build System <autodist@mambasoft.it> 1.3.18-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.17-2mamba
- perl 5.16 mass rebuild

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 1.3.17-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 1.3.16-1mamba
- automatic version update by autodist

* Sun Jan 01 2012 Automatic Build System <autodist@mambasoft.it> 1.3.13-1mamba
- automatic version update by autodist

* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.12-2mamba
- rebuilt with ghostscript 9.01

* Sun May 16 2010 Automatic Build System <autodist@mambasoft.it> 1.3.12-1mamba
- automatic update by autodist

* Thu Dec 03 2009 Davide Madrisan <davide.madrisan@gmail.com> 1.3.7-2mamba
- build and provide perl bindings

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic update by autodist

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic update by autodist

* Mon Jun 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-2mamba
- don't package perllocal.pod

* Tue Jun 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-1mamba
- update to 1.3.5

* Tue Jun 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.15-1mamba
- update to 1.1.15

* Tue Oct 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.7-1qilnx
- package created by autospec
